1482 comments

(PURCHASED)

I can't seem to get past this error:

[15:56:47] Starting 'react:app'...
[15:56:47] Version: webpack 1.11.0

ERROR in ./src/jsx/app/main.jsx
Module parse failed: /.........../src/jsx/app/main.jsx Line 3: Unexpected reserved word
You may need an appropriate loader to handle this file type.
| 'use strict';
|
| import preloader from 'preloader';
|
| import routes from 'routes';
[15:56:47] Finished 'react:app' after 7.7 ms

I've blown away node_modules and reinstalled everything, including babel-loader, babel-runtime, babel-core and everything else that is needed. The application launches, but app.node.js is not updated. Same thing when I build the demo app.
Hi webacad1,

Which version of Rubix are you on? We had fixed this error in 3.0.3. Please download the latest update and let us know if you still face this issue.
That fixed it. Thanks!

Going forward, are there release notes with each version so I can see what has changed?
I have a question about server, which files i must to upload on the server and how to open it then...
Can you provide more details? Do you want to upload the default NodeJS integration or a static site?
I upload all source on the ftp, so I need to run demo version of rubix on my domain
I understand the mechanism to upload is via FTP but that is not my question. Which web server is the host running on? Can you contact us on our support email with full details of your host setup so we can assist you further: support@sketchpixy.com ?
I need to upload only static site
I'm still struggling on how to implement anything like a connection to a PHP based API into Rubix. I really want to have authentication going but I just don't know where to start....I previously linked some tutorial I was trying to implement, but I was unsuccessful with it. Could you provide some basic help for me and tell me something like where to start on implementing authentication?
Hi lookapanda,

Sorry for the delay. Can you send me a mail (support@sketchpixy.com) so I can learn more about your setup and then send you an appropriate solution. Comment section is best for short answers.
It's been almost a week now, I didn't get any reply to that mail I sent yet. Just a reminder that there is something please ;)
Vlad777 PURCHASED
Hello. It's me again.

We have a very strange issue. We are starting the theme as follows on the server:

- the gulp process is running in cPanel, in standard user's home directory
- it is started with gulp --rtl --name demo --whost 144.76.59.229 &

But it keeps dying over time. As I work every 10-15 minutes its freezing and becomes unavailable. Pretty strange. When we restart it it runs again, without errors and after some short period of time it freezes again.

Best regards,
vlad
Vlad777 PURCHASED
Hi, i moving to new server with FreeBSD 9.3, and i have issues with new instalation. The errors when i run npm install
is
` /usr/local/www/vhosts/rubix/rails/demo/node_modules/gulp-sass/node_modules/node-sass/vendor/freebsd-x64-14/binding.node ` exists.
testing binary.
Problem with the binary.
Manual build incoming.
Building: /usr/local/bin/node node_modules/pangyp/bin/node-gyp rebuild --libsass_ext= --libsass_cflags= --libsass_ldflags= --libsass_library=
gmake: Entering directory '/usr/local/www/vhosts/rubix/rails/demo/node_modules/gulp-sass/node_modules/node-sass/build'
CXX(target) Release/obj.target/libsass/src/libsass/ast.o
cc1plus: error: unrecognized command line option "-std=c++0x"
src/libsass.target.mk:129: recipe for target 'Release/obj.target/libsass/src/libsass/ast.o' failed
gmake: *** [Release/obj.target/libsass/src/libsass/ast.o] Error 1
gmake: Leaving directory '/usr/local/www/vhosts/rubix/rails/demo/node_modules/gulp-sass/node_modules/node-sass/build'
gyp ERR! build error
gyp ERR! stack Error: `gmake` failed with exit code: 2
gyp ERR! stack at ChildProcess.onExit (/usr/local/www/vhosts/rubix/rails/demo/node_modules/gulp-sass/node_modules/node-sass/node_modules/pangyp/lib/build.js:271:23)
gyp ERR! stack at ChildProcess.emit (events.js:110:17)
gyp ERR! stack at Process.ChildProcess._handle.onexit (child_process.js:1074:12)
gyp ERR! System FreeBSD 9.3-RELEASE-p5
gyp ERR! command "/usr/local/bin/node" "/usr/local/www/vhosts/rubix/rails/demo/node_modules/gulp-sass/node_modules/node-sass/node_modules/pangyp/bin/node-gyp" "rebuild" "--libsass_ext=" "--libsass_cflags=" "--libsass_ldflags=" "--libsass_library="
gyp ERR! cwd /usr/local/www/vhosts/rubix/rails/demo/node_modules/gulp-sass/node_modules/node-sass
gyp ERR! node -v v0.12.7
gyp ERR! pangyp -v v2.3.0
gyp ERR! not ok
Build failed
npm ERR! FreeBSD 9.3-RELEASE-p5
npm ERR! argv "node" "/usr/local/bin/npm" "install"
npm ERR! node v0.12.7
npm ERR! npm v2.13.5
npm ERR! code ELIFECYCLE

npm ERR! node-sass@3.2.0 postinstall: `node scripts/build.js`
npm ERR! Exit status 1
npm ERR!
npm ERR! Failed at the node-sass@3.2.0 postinstall script 'node scripts/build.js'.
npm ERR! This is most likely a problem with the node-sass package,
npm ERR! not with npm itself.
npm ERR! Tell the author that this fails on your system:
npm ERR! node scripts/build.js
npm ERR! You can get their info via:
npm ERR! npm owner ls node-sass
npm ERR! There is likely additional logging output above.

npm ERR! Please include the following file with any support request:
npm ERR! /usr/local/www/vhosts/rubix/rails/demo/npm-debug.log

can you help me with this errors.
Hey,
Hi I have been using this template for a while, its really good. I am facing a problem deploying this on AWS ec2 instance. I run the command gulp in rubix folder and it deploys, but if I close the terminal it kills the process So I ran screen command and then gulp, but then in this its only one screen. How should I make use of npm forever. Also, sometimes its loads until 99% and stays on 99%. Can you guys help me out ?
grbspltt PURCHASED
My previous comment got buried on the previous page, so i'm posting it again here so it doesn't get lost.

I added the localhost:8079/scripts/bundle.js.map link to index.html, however it looks like the index.html page gets rebuilt whenever gulp reloads. The links to my vendor js and css files also get removed from the index.html file as well. Is there another place I should be adding these files?

I did add the vendor js files to plugins.js but I'm not really sure what this does, as none of the objects from my vendor js files are available. They work just fine when I have the vendor files loaded via the script tags in my index.html, but those get blown away whenever gulp reloads.
grbspltt PURCHASED
I'm chugging along without a fix, but I'm starting to get the point where I need a real solution.
How can I create a Panel that doesn't have controls?
grbspltt PURCHASED
A previous comment from page 6 answered this question.

Add plain={true} to the PanelContainer like below:

<PanelContainer plain={true}>
<Panel>
<PanelBody className='text-center'>
<p>BLANK</p>
</PanelBody>
</Panel>
</PanelContainer>
tdduong PURCHASED
Hi, I'm trying to draw a Rubix line chart, which is the income over time, using below code:

(() => {
var chart = new Rubix('#chart', {
width: '100%',
height: 350,
axis: {
x: {
tickFormat: '%b %d',
type: 'datetime'
},
y: {
tickFormat: 's'
}
},
tooltip: {
color: '#48A6C0',
format: {
x: '%b %d',
y: ',.0f'
}
},
interpolate: 'cardinal'
});

var line = chart.line_series({
name: 'Income',
color: '#48A6C0'
});

var data = d3.range(10).map(next);
line.addData(data);
})();

The chart is fine but the tooltip doesn't work. Every time I hover the chart, I got this message from the console "Error: Invalid value for <g> attribute transform="translate(NaN,300)"".
sketchpixy/ other users,

is there a way that you can break out the starter app project and package it with only the sass/jsx files that it uses? for instance, over the past 2 days, I have been trying to extract the sidebar as a stand-alone component and it seems impossible, with sass dependencies all over the place. This greatly reduces modularity and understandability of the project.

I would be very grateful if sketchpixy or someone could extricate just the sidebar with its associated scss files as a modular component, in the spirit of React. Thank you.
ok, scratch the above. I got the sidebar component working on it's own - but still working on parsing out the core scss.
kfuchs PURCHASED
Hey, currently trying to do the same as well. Mind sharing :)?
how to run site without gulp, i need only static demo version of site
grbspltt PURCHASED
I asked the same question on the previous page. The seller's response:

just run: "gulp --rtl --name <app-name> --production" to generate the assets. These assets are stored in the "public" folder. Use an index.html file similar to this: https://gist.github.com/shripadk/798b87a90fb3836c5ac3 and place it inside the public folder. Then deploy the public folder to your server.
thank you @grbspltt for answer but it still not runs :(

when I run site in browser seen like this:
"{container}
{stylesheet}"
grbspltt PURCHASED
Yeah the instructions they gave me was the starting point. I had to do the following to get it working:

1. start the dev server by running gulp
2. When your browser opens and the page loads start your browser's dev tools (I use chrome), go to elements, expand the head tag, and look at the link tags that get generated, (look at the {stylesheets} tag in the html from the gist, and figure out which tags were dynamically added)
3. In the html from the gist, go to the end of the </body> tag, look for the script tag with "/js/demo/demo.js", replace that with "/js/app/app.js", where 'app' is the name of your app.

I'm sure there is more to get it working, this is as far as I got.
grbspltt PURCHASED
I also found that you should change the history type to HashHistory. Since we're not using isomorphic rendering if someone tries to directly access a url other than / they will get a blank screen.

Go to jsx/{yourAppName}/routes.jsx and change this line:
const history=withHistory ? (Modernizr.history ? new BrowserHistory : new HashHistory) : null;

to:

const history=withHistory ? new HashHistory : null;
Hello,

Thinking of purchasing this template.

I took a look at the preview and struggled to find the page containing the widgets? Are there any included?

Many thanks
Has anyone successfully wired up react-redux with this package/theme?
mch505 PURCHASED
Hello, i have a question, can you tell me where is all the source code for any component in the admin, i need to change some html of a couple of componets, any sugestion is welcome (new in react)
If you are using demo, go to default/rubix-3.0/src/jsx/demo/routes
In routes folder you should see all the jsx files. There you can make necessary changes.
Is there a dark theme available for this template?
saxodan PURCHASED
Hello,

i have launch the rubix demo on my virtual machine (debian 8) in chrome browser: it works !
But when a type the external url given in the terminal log (192.168.x.x:8080) in chrome from the host machine i got a white page, and the chrome dev tools log the following error :

http://localhost:8079/scripts/bundle.js Failed to load resource: net::ERR_CONNECTION_REFUSED

I've tried with firefox, safari, even on my smartphone... but still the same problem.

Thx for your help.
saxodan PURCHASED
I find the problem : in file server.js the whost variable is set to localhost, so when you want to access to the site from a different host, file are no more loadable. The server should be able to distinguish between local vs distant access.
The react-router import statements are broken when npm resolves to react-router@1.0.0-beta.4. Beta 3 works fine. Should probably update the package.json.
grbspltt PURCHASED
Where in the SASS file can I change the font color on active sidebar nav item to a different color?
grbspltt PURCHASED
Took me a ridiculously long time to figure this out but I got it. In src/sass/{yourAppName}/theme/sections/_sidebar.scss

Go to line 208, that section defines the font color of the .sidebar-nav > li > active a tags.
Curious why not using FLUX and using eventEmitter instead?
Also - looks like multiple select is not working according to most multiselect spec on the web.
You have press a keyboard (Cmd).
I would expect to have multiple select working when you are clicking on every other element.
Current behavior is that it's taking only 1 item when is clicked by mouse
Also Can't understand the functionality of all cards element:
in hover, we have 3 buttons:
Close, minimize and some other one which looks like cycle (repeat button) what does it do?
"rubix-icon fontello icon-fontello-loop-alt-1"
span element
also, it's not good way to polute Global scope with ALL rubix-bootstrap components and just providing us a compiled rubix-bootstrap.
I want to keep my window object save and just have a webpack to bundle all of it.
Can u give us pre compiled bootstrap components?
Replied to all your questions in the mail that you sent.
This project has some real issues.

Your package.json should be shrinkwrapped. It's really disappointing to have to resolve package incompatibilities upon install. react-router is NOT compatible using the 1.0.0-beta.4 version which is being installed using the current package.json semver range for that. Especially when using major beta versions of packages, you need to prevent version drifts.

Also, in the current version that I downloaded last night, browsersync is not working. The file watchers start, the browser tab opens, I get the "connected" popup, but file changes have no effect although the watcher callbacks look to be firing. I've spent an hour trying to get it to work.

Kind of bummed at this point :(
Hi Kevin,

The first issue is already resolved in the latest release. We have taken your suggestion onboard and will release another version with shrinkwrapped dependencies.

Unable to reproduce second issue. We use react-hot-loader for reloading changes to JSX files. Browsersync is only for reloading the entire tab when a non-JSX file (like SASS/HTML/Webfont) is added/modified/deleted. So if there is any issue it has to be with react-hot-loader not picking up the changes. One more point to note: changes to JSX files won't be picked up if the root component (or a new component required from another JSX file which was not seen by react-hot-loader before) is added/modified. You might have to refresh the page once to pick up the new additions. You get an information logged in your console by the hot-loader plugin about this.
I confirm the issue with not working browserSync
I mean react-hot-loaded not picking up the changes in existing jsx file
FIX:
update react-hot-loader to 1.3.0 and issue is GONE!

Write a comment

This is a great way to give the seller feedback and ask them questions about their item.

You must sign in to write a comment

Sign in or sign up to make a purchase

$20
5043Purchases

Licenses: Details »

Single application $20
Version:4.1.0
Type:
  • HTML Template
Bootstrap: Compatible with 3.3.x
Layouts:
  • Responsive
  • Fluid
  • Fixed-width
Browsers:
  • IE 9, 10, 11
  • Latest Chrome
  • Latest Firefox
  • Latest Safari
Uses Less:No
Uses Sass:Yes
Categories:
Tags: admin, bootstrap, dashboard, graphql, laravel, meteor, rails, reactjs, redux, relay
Item#:WB09498FH
Released:3 years ago
Updated:1 year ago
Sold exclusively on WrapBootstrap
sketchpixy

sketchpixy

Signed up 3 years ago

Need a front-end theme?

About Bootstrap

Bootstrap is designed to help people of all skill levels – designer or developer, huge nerd or early beginner. Use it as a complete kit or use it to start something more complex.

Unlike other front-end toolkits, Bootstrap was designed first and foremost as a styleguide to document not only its features, but best practices and living, coded examples.

Built to support new HTML5 elements and syntax with progressively enhanced components.

Browser support

Bootstrap is tested and supported in major modern browsers like Chrome, Firefox, and Internet Explorer.

Tested and supported in Chrome, Safari, Firefox, Internet Explorer, and Opera.
  • Latest Chrome
  • Latest Firefox
  • Latest Safari
  • Latest Edge
  • Internet Explorer 9/10/11
  • Latest Opera

Features & includes

Bootstrap provides an unparalleled array of features and reusable components that let you hit the ground running: